
/* Combinator Selectors  */

/* 1. Descendant Selector (Whitespace) 
		- selects all descendant of the first selected element

	Syntax: 
		parent_element  target_elements {
			property: value;
		}


div p {
	background-color: red;
}

section p {
	background-color: red;
}

body div {
	background-color: red;
}

form label {
	background-color: red;
}

body h2 {
	background-color: red;
}

body .parent p {
	background-color: pink;
}

*/

/* 2. Child Selector ( > )
		- selects only legitimate child/children of the first selected element

	Syntax: 
		parent_element > children_elements {
			property: value;
		}


div > p {
	background-color: lightblue;
}

.parent > section {
	background-color: lightblue;
}

*/

/* 3. Adjacent Sibling Selector ( + ) 
		- selects only adjacent/immediate sibling of the first selected element of the same parent

	Syntax: 
		selected_element + adjacentSibling_elements {
			property: value;
		}

p + p {
	background-color: coral;
}

p + section {
	background-color: coral;
}

div + p + p {
	background-color: coral;
}

*/

/* 4. General Sibling Selector ( ~ ) 
		- selects all siblings of the first selected element (regardless of distance as long as they are same degree from their parent)

	Syntax: 
		selected_element + adjacentSibling_elements {
			property: value;
		}

p ~ p {
	background-color: teal;
}

*/